#ifndef _rtc_h_
#define _rtc_h_

#include <inttypes.h>
#include <avr/io.h>

/*  Routinen fr einen DS1337 oder DS1307 von Maxim (RTC fr I2C)

*/

#define RTC_ADDR 	0xD0  // device address of RTC, see datasheet

void rtc_init();

void rtc_initClock(const char *setDate, const char *setTime);

void ReadTime(uint8_t volatile *Std, uint8_t volatile *Min, uint8_t volatile *Sek);

void SetTime(uint8_t volatile *Std10, uint8_t volatile *Std, uint8_t volatile *Min10, 
			 uint8_t volatile *Min, uint8_t volatile *Sek10, uint8_t volatile *Sek);

void ReadDate(uint8_t volatile *Jahr, uint8_t volatile *Monat, uint8_t volatile *Tag);

void SetDate(uint8_t volatile *Jahr10, uint8_t volatile *Jahr, uint8_t volatile *Monat10, 
			 uint8_t volatile *Monat, uint8_t volatile *Tag10, uint8_t volatile *Tag);

#endif
